Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Discuss development on Bubba
sakaki
Posts: 141
Joined: 15 Aug 2014, 11:20

Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by sakaki » 29 Jul 2015, 15:11

Hi,

so, unbeknownst to me the two hardware revisions of the Bubba|2 (which Tor mentions here and here) actually have different device trees and U-boot environments, and as a result of this, my previous (1.1.0) Gentoo B2 live-USB image would only work for those with the newer (rev 2) boards (which my B2 is).

In case anyone else is looking at this in the future, from what I have gathered:
  • The rev 1 B2s attempt to USB-boot the file /install/install.itb from the USB key's first partition, and HDD boot using the bubba.dtb (and uImage) from the HDD's first partition
  • The rev 2 B2s attempt to USB-boot the file /install/8313E21.itb, and HDD boot using the 8313E21.dtb (and uImage) from the HDD's first partition
The difference between the two dtbs comes in the interrupt maps for the Ethernet adaptors, and using the wrong version can cause the machine to lock up (for example, on serial port access). (The device tree source files may be found here.) Here's a diff of the relevant part of the rev 1 and rev 2 device tree source files (these files are from the 2.6.39 kernel release from Excito):

Code: Select all

b2 dts # diff -u bubba.dts 8313E21.dts 
--- bubba.dts	2012-02-13 13:20:26.000000000 +0000
+++ 8313E21.dts	2012-02-13 13:20:26.000000000 +0000
@@ -196,7 +196,7 @@
 			compatible = "gianfar", "simple-bus";
 			reg = <0x24000 0x1000>;
 			local-mac-address = [ 00 00 00 00 00 00 ];
-			interrupts = <37 0x8 36 0x8 35 0x8>;
+			interrupts = <32 0x8 33 0x8 34 0x8>;
 			interrupt-parent = <&ipic>;
 			phy-handle = < &phy1 >;
 			fsl,magic-packet;
@@ -232,7 +232,7 @@
 			compatible = "gianfar", "simple-bus";
 			reg = <0x25000 0x1000>;
 			local-mac-address = [ 00 00 00 00 00 00 ];
-			interrupts = <34 0x8 33 0x8 32 0x8>;
+			interrupts = <35 0x8 36 0x8 37 0x8>;
 			interrupt-parent = <&ipic>;
 			phy-handle = < &phy0 >;
 			sleep = <&pmc 0x10000000>;
Accordingly, I have now released version 1.3.0 of the Gentoo Bubba|2 live-USB on GitHub here (and also updated the various other related projects) - it now supports both rev 1 and rev 2 B2s. Other changes in this release (wrt 1.1.0, I put out a 1.2.0 also, but it doesn't have the newer kernel) include:
  • Uses kernel 4.1.3 from gentoo-b2-sources (the standard gentoo-sources, with gentoo-b2-kernel-patches applied); this includes some necessary edits for the rev1 board.
  • Includes a modified buildkernel-b2, which now does the right thing, even on rev 1 boards.
  • All packages brought up to date against the Gentoo tree, as of 26 Jul 2015;
  • Unnecessary terminals disabled, per Gordon's suggestion here (saves system memory);
  • Deleted /etc/dhcpcd.duid file from image for better security (will be regenerated on first use);
  • Set up /etc/mtab as link to /proc/self/mounts, as required here;
  • Added CONFIG_RTL8192CU=m (and dependencies) to kernel (support for commonly used WiFi dongle). The configs used may be viewed here.
  • Added a new release of blinktest; this simply has a copy of /install/8313E21.itb as /install/install.itb; for the trivial task that this system has to perform, the same dtb (included in the .itb file) can be used for both rev 1 and rev 2 B2s; however, the name still has to be correct for the image to boot on rev 1 boards.
Finally, many thanks to paulchany for pointing out that the previous version didn't work on rev 1 B2s (and for trying out various respins, while I tried to work out what was wrong),

Apologies to anyone this inconvenienced ><

sakaki
Edited to clarify that the U-boot environment also differs between the rev 1 and rev 2 boards.
Last edited by sakaki on 29 Jul 2015, 18:28, edited 1 time in total.

MouettE
Site admin
Posts: 220
Joined: 06 Oct 2011, 19:45

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards suppor

Post by MouettE » 29 Jul 2015, 16:16

As always, amazing work.

johannes
Posts: 1467
Joined: 31 Dec 2006, 07:12
Location: Sweden
Contact:

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards suppor

Post by johannes » 30 Jul 2015, 06:52

Bonus info - the difference between the boards are the silicon revision of the Freescale PPC CPU - where we needed a lot of workarounds for silicon bugs in the first revision. For the second CPU revision we had to revert those workarounds - hence the two different itb's.
/Johannes (Excito co-founder a long time ago, but now I'm just Johannes)

andy_b2_user
Posts: 18
Joined: 22 Jun 2015, 16:32

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by andy_b2_user » 03 Feb 2017, 07:44

Help.
I have downloaded Gentoo B2 and can boot into the live system without a problem. If I then run genup-lite, which seems to complete without an error, the system fails boot once the power has been switched off. Any ideas to solve the problem ? Should I update the kernel 1st, the latest version seems to be 4.1.37.

Thanks for the work done in giving me a chance to update the bubba|2.

Andy

sakaki
Posts: 141
Joined: 15 Aug 2014, 11:20

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by sakaki » 05 Feb 2017, 06:41

Hi Andy,

sorry to hear you are having trouble with this ><

When you say the system fails boot after update, are you holding down the small button on the back of your B2 when rebooting? Unless you have installed to the HD, you will need to do this each time you restart.

Other than that, it has been quite a long time since the live-USB was last released for the B2, so if you did run genup-lite it is likely that, although the process appeared to work, what it really did was a) update its package database (a bit like "apt-get update") and then b) run into some potential issues regarding options, conflicting versions etc. that would occur if you were to proceed with the upgrade, and so stop, asking you to confirm these (via some configuration file changes). This is a fairly normal Gentoo process, but trying to update an old image like this can be tricky.

On the other hand, if the full upgrade process did go through, given that the B2 is quite a slow machine, and it is likely you would be rebuilding big packages such as e.g. the compiler itself, I would expect the process to take a number of days to complete (so, if genup-lite returned finished in say 15 minutes, it certainly didn't build anything).

In any case, if you reboot into a fresh copy of the live-USB, and then, at the command line (as root) on your B2 run:

Code: Select all

b2 ~ # eix-sync
this should update the package database. It will take a little while. When complete, then run:

Code: Select all

b2 ~ # emerge --deep --with-bdeps=y --changed-use --update --pretend --verbose @world
and please post the resulting output here.

Unfortunately I no longer have a working B2 to hand that I can try this on myself.

Best, sakaki

andy_b2_user
Posts: 18
Joined: 22 Jun 2015, 16:32

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by andy_b2_user » 06 Feb 2017, 14:14

Hi Sakaki.

Many thanks for your reply. I have looked into the files on the failed upgrade and found that the /sys directory is empty, not surprising that it would not boot.

I have run the commands requested and the output is copied below
b2 home # emerge --deep --with-bdeps=y --changed-use --update --pretend --verbose @world

These are the packages that would be merged, in order:

Calculating dependencies ........ ... ......... done!

* IMPORTANT: 9 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.


!!! All ebuilds that could satisfy ">=dev-libs/libxml2-2.9.3:=" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-libs/libxml2-2.9.4-r1::gentoo (masked by: EAPI 6)
- dev-libs/libxml2-2.9.4::gentoo (masked by: EAPI 6)

The current version of portage supports EAPI '5'. You must upgrade to a
newer version of portage before EAPI masked packages can be installed.
(dependency required by "sys-devel/gettext-0.19.7::gentoo" [ebuild])
(dependency required by "app-portage/eix-0.30.11::gentoo[nls]" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

b2 home #
I still have the excito Linux working on the hard disk, for rescue if needed.

Thanks again

Andy

sakaki
Posts: 141
Joined: 15 Aug 2014, 11:20

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by sakaki » 06 Feb 2017, 14:54

Hi - Ah, ok, so if you now run

Code: Select all

b2 home # emerge -v --oneshot --update portage
and then when that completes, please try:

Code: Select all

b2 home # emerge --deep --with-bdeps=y --changed-use --update --pretend --verbose @world
again, and post the results here.

Thanks, sakaki

andy_b2_user
Posts: 18
Joined: 22 Jun 2015, 16:32

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by andy_b2_user » 08 Feb 2017, 10:22

Hi.

I copied the output from both commands, just in case in contains useful information.
The portage update log:-
b2 home # emerge -v --oneshot --update portage

* IMPORTANT: 9 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] sys-apps/install-xattr-0.5::gentoo 16 KiB
[ebuild N ] dev-python/pyxattr-0.5.5::gentoo USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-python3_5)" 27 KiB
[ebuild U ] sys-apps/portage-2.3.3::gentoo [2.2.20::gentoo] USE="(ipc) xattr* -build -doc -epydoc -native-extensions% (-selinux)" LINGUAS="-ru" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-python3_5) (-python3_3%)" 900 KiB

Total: 3 packages (1 upgrade, 2 new), Size of downloads: 942 KiB

!!! The following installed packages are masked:
- dev-perl/DBD-mysql-4.20.0-r1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Kent Fredric <kentnl@gentoo.org> (04 Feb 2017)
# Unsecure versions that have been only restored to tree
# to resolve compatibility problems with mail-filter/amavisd-new
# Use with caution due to these being removed for CVE-2016-1251
# Bug: #601144
# Bug: #604678

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


>>> Verifying ebuild manifests
>>> Emerging (1 of 3) sys-apps/install-xattr-0.5::gentoo
>>> Installing (1 of 3) sys-apps/install-xattr-0.5::gentoo
>>> Emerging (2 of 3) dev-python/pyxattr-0.5.5::gentoo
>>> Installing (2 of 3) dev-python/pyxattr-0.5.5::gentoo
>>> Emerging (3 of 3) sys-apps/portage-2.3.3::gentoo
>>> Installing (3 of 3) sys-apps/portage-2.3.3::gentoo
>>> Jobs: 3 of 3 complete Load avg: 2.14, 2.15, 2.01

* Messages for package sys-apps/portage-2.3.3:

* Please note that this release no longer respects sync-depth for
* git repositories. There have been too many problems and
* performance issues. See bugs 552814, 559008
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

* GNU info directory index is up-to-date.

* IMPORTANT: 9 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.

b2 home #
[/quote

And the --pretend log:-
b2 home # emerge --deep --with-bdeps=y --changed-use --update --pretend --verbose @world

These are the packages that would be merged, in order:

Calculating dependencies... done!

The following packages are causing rebuilds:

(dev-lang/perl-5.22.3_rc4:0/5.22::gentoo, ebuild scheduled for merge) causes rebuilds for:
(dev-perl/SGMLSpm-1.03-r7:0/0::gentoo, ebuild scheduled for merge)
(dev-perl/Digest-HMAC-1.30.0-r1:0/0::gentoo, ebuild scheduled for merge)
(dev-perl/Unicode-EastAsianWidth-1.330.0-r1:0/0::gentoo, ebuild scheduled for merge)
(perl-core/File-Temp-0.230.400-r1:0/0::gentoo, ebuild scheduled for merge)
(dev-perl/Text-CharWidth-0.40.0-r1:0/0::gentoo, ebuild scheduled for merge)
(dev-perl/Locale-gettext-1.50.0-r1:0/0::gentoo, ebuild scheduled for merge)
(dev-perl/Net-Daemon-0.480.0-r1:0/0::gentoo, ebuild scheduled for merge)
(dev-perl/Authen-SASL-2.160.0-r1:0/0::gentoo, ebuild scheduled for merge)
(dev-perl/Text-WrapI18N-0.60.0-r1:0/0::gentoo, ebuild scheduled for merge)
(dev-perl/PlRPC-0.202.0-r2:0/0::gentoo, ebuild scheduled for merge)
(dev-perl/Module-Build-0.420.500:0/0::gentoo, ebuild scheduled for merge)
[ebuild U ~] sys-kernel/linux-headers-4.9::gentoo [4.1::gentoo] 3,964 KiB
[ebuild U ] sys-libs/glibc-2.22-r4:2.2::gentoo [2.20-r2:2.2::gentoo] USE="-debug -gd (-hardened) (-multilib) -nscd -profile (-selinux) -suid -systemtap -vanilla" 12,738 KiB
[ebuild U ] sys-libs/zlib-1.2.11::gentoo [1.2.8-r1::gentoo] USE="-minizip -static-libs" 594 KiB
[ebuild U ] app-arch/xz-utils-5.2.3::gentoo [5.0.8::gentoo] USE="nls threads -static-libs" 1,456 KiB
[ebuild U ] virtual/libintl-0-r2::gentoo [0-r1::gentoo] 0 KiB
[ebuild U ] sys-libs/ncurses-6.0-r1:0/6::gentoo [5.9-r3:0/0::gentoo] USE="cxx unicode -ada -debug -doc -gpm -minimal -profile -static-libs {-test%} -threads% -tinfo -trace" 3,059 KiB
[ebuild U ] app-arch/bzip2-1.0.6-r7::gentoo [1.0.6-r6::gentoo] USE="-static -static-libs" 764 KiB
[ebuild U ] sys-devel/gnuconfig-20161104::gentoo [20150304::gentoo] 49 KiB
[ebuild U ] sys-apps/gentoo-functions-0.10::gentoo [0.8::gentoo] 12 KiB
[ebuild U ] app-arch/gzip-1.8::gentoo [1.6::gentoo] USE="-pic -static" 712 KiB
[ebuild U ] sys-apps/debianutils-4.7::gentoo [4.4::gentoo] USE="-static" 153 KiB
[ebuild N ] net-libs/libmnl-1.0.4:0/0.2.0::gentoo USE="-examples -static-libs" 295 KiB
[ebuild N ] app-text/manpager-1::gentoo 0 KiB
[ebuild U ] sys-apps/baselayout-2.3::gentoo [2.2::gentoo] USE="-build" 32 KiB
[ebuild U ] sys-apps/busybox-1.25.1::gentoo [1.23.1-r1::gentoo] USE="ipv6 static -debug -livecd -make-symlinks -math -mdev -pam* -savedconfig (-selinux) -sep-usr -syslog -systemd" 2,054 KiB
[ebuild U ] virtual/libc-1::gentoo [0::gentoo] 0 KiB
[ebuild U ] sys-apps/which-2.21::gentoo [2.20-r1::gentoo] 146 KiB
[ebuild U ] dev-libs/expat-2.2.0-r1::gentoo [2.1.0-r4::gentoo] USE="unicode -examples -static-libs" 405 KiB
[ebuild U ] media-libs/libogg-1.3.2::gentoo [1.3.1::gentoo] USE="-static-libs" 398 KiB
[ebuild N ] dev-libs/libbsd-0.8.2::gentoo USE="-static-libs" 337 KiB
[ebuild U ] net-wireless/wireless-regdb-20160610::gentoo [20150605::gentoo] 17 KiB
[ebuild N ] dev-db/lmdb-0.9.18:0/0.9.18::gentoo USE="-static-libs" 136 KiB
[ebuild N ] sys-libs/libseccomp-2.3.0::gentoo USE="-static-libs" 535 KiB
[ebuild U ] sys-process/cronbase-0.3.7-r6::gentoo [0.3.3::gentoo] 0 KiB
[ebuild U ] app-arch/cpio-2.12-r1::gentoo [2.11-r3::gentoo] USE="nls" 1,230 KiB
[ebuild N ] dev-util/cppunit-1.13.2-r2::gentoo USE="-doc -examples -static-libs" 932 KiB
[ebuild U ] media-libs/libjpeg-turbo-1.5.0::gentoo [1.3.1::gentoo] USE="(-java) -static-libs" 1,630 KiB
[ebuild U ] dev-libs/libffi-3.2.1::gentoo [3.0.13-r1::gentoo] USE="-debug -pax_kernel -static-libs {-test}" 919 KiB
[ebuild U ] media-fonts/dejavu-2.35::gentoo [2.34::gentoo] USE="-X -fontforge" 4,974 KiB
[ebuild U ] sys-process/lsof-4.89::gentoo [4.88-r1::gentoo] USE="ipv6 -examples -rpc (-selinux) -static" 767 KiB
[ebuild U *] dev-embedded/u-boot-tools-2016.11::gentoo [2015.04::gentoo] 11,738 KiB
[ebuild U ] sys-apps/file-5.29::gentoo [5.22::gentoo] USE="zlib -python -static-libs" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-python3_5) (-python3_3%)" 766 KiB
[ebuild U ] sys-libs/cracklib-2.9.6-r1::gentoo [2.9.1-r1::gentoo] USE="nls zlib -python -static-libs {-test}" PYTHON_TARGETS="python2_7" 628 KiB
[ebuild U ] sys-apps/net-tools-1.60_p20160215155418::gentoo [1.60_p20130513023548::gentoo] USE="arp%* hostname%* ipv6%* nls -nis% -plipconfig% (-selinux) -slattach% -static (-old-output%)" 222 KiB
[ebuild U ] sys-apps/sysvinit-2.88-r9::gentoo [2.88-r7::gentoo] USE="(-ibm) (-selinux) -static" 104 KiB
[ebuild U ] sys-libs/timezone-data-2016h::gentoo [2015b::gentoo] USE="nls -leaps_timezone% (-right_timezone%)" 513 KiB
[ebuild U ] media-libs/libpng-1.6.27:0/16::gentoo [1.6.16:0/16::gentoo] USE="-apng (-neon) -static-libs" 962 KiB
[ebuild U ] sys-devel/m4-1.4.17::gentoo [1.4.16::gentoo] USE="-examples" 1,123 KiB
[ebuild U ] app-arch/unzip-6.0_p20::gentoo [6.0-r3::gentoo] USE="bzip2 unicode -natspec" 1,361 KiB
[ebuild U ] virtual/ttf-fonts-1-r1::gentoo [1::gentoo] 0 KiB
[ebuild U ] dev-libs/libusb-1.0.19-r1:1::gentoo [1.0.19:1::gentoo] USE="-debug -doc -examples -static-libs {-test} -udev" 510 KiB
[ebuild U ] dev-libs/gmp-6.1.0:0/10.4::gentoo [5.1.3-r1:0/0::gentoo] USE="asm%* cxx -doc -pgo -static-libs" 1,905 KiB
[ebuild U ] dev-libs/mpfr-3.1.3_p4::gentoo [3.1.2_p10::gentoo] USE="-static-libs" 1,087 KiB
[ebuild R ] sys-devel/patch-2.7.5::gentoo USE="xattr* -static {-test}" 711 KiB
[ebuild U ] virtual/acl-0-r2::gentoo [0-r1::gentoo] USE="-static-libs" 0 KiB
[ebuild U ] sys-apps/coreutils-8.25::gentoo [8.23::gentoo] USE="acl nls xattr* -caps -gmp -hostname% -kill% -multicall (-selinux) -static -vanilla" 5,641 KiB
[ebuild U ] app-portage/portage-utils-0.62::gentoo [0.56::gentoo] USE="nls -static" 515 KiB
[ebuild U ] sys-libs/libcap-2.24-r2::gentoo [2.22-r2::gentoo] USE="pam -static-libs%" 62 KiB
[ebuild r U ] dev-lang/perl-5.22.3_rc4:0/5.22::gentoo [5.20.2:0/5.20::gentoo] USE="berkdb gdbm ithreads -debug -doc" 11,080 KiB
[ebuild U ] virtual/perl-ExtUtils-MakeMaker-7.40.200_rc::gentoo [6.980.0::gentoo] 0 KiB
[ebuild U ] virtual/perl-File-Spec-3.560.200_rc::gentoo [3.480.100-r1::gentoo] 0 KiB
[ebuild U ] dev-perl/XML-Parser-2.440.0::gentoo [2.410.0-r2::gentoo] 232 KiB
[ebuild U ] virtual/perl-Scalar-List-Utils-1.410.0-r1::gentoo [1.380.0::gentoo] 0 KiB
[ebuild U ] virtual/perl-Getopt-Long-2.450.0-r1::gentoo [2.420.0-r1::gentoo] 0 KiB
[ebuild U ] virtual/perl-Test-Harness-3.350.100_rc::gentoo [3.330.0::gentoo] 0 KiB
[ebuild U ] virtual/perl-Parse-CPAN-Meta-1.441.400.100_rc::gentoo [1.441.400-r1::gentoo] 0 KiB
[ebuild U ] virtual/perl-CPAN-Meta-YAML-0.12.0-r2::gentoo [0.12.0-r1::gentoo] 0 KiB
[ebuild rR ] dev-perl/Text-CharWidth-0.40.0-r1::gentoo 9 KiB
[ebuild rR ] dev-perl/Net-Daemon-0.480.0-r1::gentoo 29 KiB
[ebuild rR ] dev-perl/SGMLSpm-1.03-r7::gentoo 92 KiB
[ebuild rR ] perl-core/File-Temp-0.230.400-r1::gentoo 59 KiB
[ebuild U ] dev-perl/libintl-perl-1.240.0::gentoo [1.200.0-r1::gentoo] 592 KiB
[ebuild N ] virtual/perl-MIME-Base64-3.150.0-r2::gentoo 0 KiB
[ebuild U ] virtual/perl-Sys-Syslog-0.330.100_rc-r1::gentoo [0.330.0-r2::gentoo] 0 KiB
[ebuild U ] virtual/perl-Time-HiRes-1.972.600-r3::gentoo [1.972.600-r2::gentoo] 0 KiB
[ebuild U ] virtual/perl-Term-ANSIColor-4.30.0-r1::gentoo [4.20.0-r3::gentoo] 0 KiB
[ebuild U ] virtual/perl-Storable-2.530.200_rc::gentoo [2.490.100-r1::gentoo] 0 KiB
[ebuild U ] virtual/perl-version-0.990.900-r3::gentoo [0.990.900-r2::gentoo] 0 KiB
[ebuild U ] virtual/perl-Text-ParseWords-3.300.0-r2::gentoo [3.290.0-r1::gentoo] 0 KiB
[ebuild U ] virtual/perl-Test-Simple-1.1.14_p522-r1::gentoo [1.1.2::gentoo] 0 KiB
[ebuild U ] virtual/perl-Perl-OSType-1.8.0-r1::gentoo [1.7.0::gentoo] 0 KiB
[ebuild U ] virtual/perl-Module-Metadata-1.0.26-r1::gentoo [1.0.19::gentoo] 0 KiB
[ebuild U ] virtual/perl-ExtUtils-ParseXS-3.280.0-r1::gentoo [3.240.0::gentoo] 0 KiB
[ebuild U ] virtual/perl-ExtUtils-Manifest-1.700.0-r3::gentoo [1.630.0-r2::gentoo] 0 KiB
[ebuild U ] virtual/perl-ExtUtils-Install-2.40.0-r2::gentoo [1.670.0::gentoo] 0 KiB
[ebuild U ] virtual/perl-ExtUtils-CBuilder-0.280.221-r1::gentoo [0.280.217-r2::gentoo] 0 KiB
[ebuild U ] virtual/perl-JSON-PP-2.273.0.100_rc-r1::gentoo [2.272.30::gentoo] 0 KiB
[ebuild U ] virtual/perl-Archive-Tar-2.40.100_rc-r1::gentoo [1.960.0::gentoo] 0 KiB
[ebuild U ] virtual/perl-Digest-SHA-5.950.100_rc-r1::gentoo [5.880.0::gentoo] 0 KiB
[ebuild U ] virtual/perl-Digest-MD5-2.540.0-r2::gentoo [2.530.0-r2::gentoo] 0 KiB
[ebuild U ] dev-perl/TermReadKey-2.330.0::gentoo [2.300.200-r1::gentoo] 81 KiB
[ebuild U ] virtual/perl-File-Temp-0.230.400-r5::gentoo [0.230.400-r3::gentoo] 0 KiB
[ebuild rR ] dev-perl/PlRPC-0.202.0-r2::gentoo 18 KiB
[ebuild rR ] dev-perl/Unicode-EastAsianWidth-1.330.0-r1::gentoo 31 KiB
[ebuild rR ] dev-perl/Digest-HMAC-1.30.0-r1::gentoo 8 KiB
[ebuild rR ] dev-perl/Text-WrapI18N-0.60.0-r1::gentoo 4 KiB
[ebuild U ] dev-perl/Text-Unidecode-1.270.0::gentoo [0.40.0-r1::gentoo] 132 KiB
[ebuild N ] app-doc/xmltoman-0.4::gentoo 15 KiB
[ebuild U ] virtual/perl-CPAN-Meta-2.150.1-r1::gentoo [2.140.640::gentoo] 0 KiB
[ebuild rR ] dev-perl/Authen-SASL-2.160.0-r1::gentoo USE="-kerberos" 45 KiB
[ebuild U ] dev-perl/DBI-1.636.0::gentoo [1.628.0::gentoo] USE="-examples% {-test}" 582 KiB
[ebuild U ] sys-devel/libtool-2.4.6-r2:2::gentoo [2.4.6:2::gentoo] USE="-vanilla" 951 KiB
[ebuild U ] media-libs/tiff-4.0.7::gentoo [4.0.3-r6::gentoo] USE="cxx jpeg zlib -jbig -lzma -static-libs {-test}" 2,028 KiB
[ebuild U ] dev-libs/libmcrypt-2.5.8-r3::gentoo [2.5.8-r2::gentoo] 1,304 KiB
[ebuild U ] dev-libs/nettle-3.2-r1:0/6::gentoo [2.7.1-r4:0/4::gentoo] USE="gmp -doc (-neon) -static-libs {-test}" 1,836 KiB
[ebuild U ] sys-libs/libcap-ng-0.7.8::gentoo [0.7.4::gentoo] USE="-python -static-libs" PYTHON_TARGETS="python2_7 python3_4 (-python3_5) (-python3_3%)" 438 KiB
[ebuild N ] dev-libs/check-0.9.11::gentoo USE="-static-libs -subunit" 675 KiB
[ebuild U ] dev-libs/libev-4.19::gentoo [4.15-r1::gentoo] USE="-static-libs" 513 KiB
[ebuild U ] dev-libs/nspr-4.13.1::gentoo [4.10.8::gentoo] USE="-debug" 1,111 KiB
[ebuild N ] app-misc/c_rehash-1.7-r1::gentoo 5 KiB
[ebuild U ] dev-libs/openssl-1.0.2j::gentoo [1.0.1p::gentoo] USE="asm%* bindist sslv3%* tls-heartbeat zlib -gmp -kerberos -rfc3779 -sctp% -sslv2% -static-libs {-test} -vanilla" 5,184 KiB
[blocks b ] <dev-libs/openssl-1.0.2d-r1:0 ("<dev-libs/openssl-1.0.2d-r1:0" is blocking app-misc/c_rehash-1.7-r1)
[ebuild U ] net-misc/iputils-20151218::gentoo [20121221-r1::gentoo] USE="filecaps ipv6 ssl -SECURITY_HAZARD -arping% -caps -clockdiff% -doc -gcrypt% -idn (-libressl) -rarpd% -rdisc% -static -tftpd% -tracepath% -traceroute% (-gnutls%)" 176 KiB
[ebuild U ] dev-perl/Net-SSLeay-1.720.0-r1::gentoo [1.650.0::gentoo] USE="-examples% (-libressl) -minimal% {-test%}" 377 KiB
[ebuild U ] dev-perl/IO-Socket-SSL-2.24.0::gentoo [1.967.0::gentoo] USE="-idn" 205 KiB
[ebuild U ] dev-libs/gobject-introspection-common-1.48.0::gentoo [1.42.0::gentoo] 1,340 KiB
[ebuild U ] sys-devel/binutils-config-5-r2::gentoo [4-r2::gentoo] 0 KiB
[ebuild U ] virtual/perl-libnet-3.50.100_rc::gentoo [1.270.0::gentoo] 0 KiB
[uninstall ] perl-core/libnet-1.270.0::gentoo USE="-sasl"
[blocks b ] <perl-core/libnet-3.50.100_rc ("<perl-core/libnet-3.50.100_rc" is blocking virtual/perl-libnet-3.50.100_rc)
[ebuild U ] dev-perl/Net-SMTP-SSL-1.30.0::gentoo [1.10.0-r1::gentoo] USE="{-test%}" 3 KiB
[ebuild U ] virtual/perl-Data-Dumper-2.158.0-r1::gentoo [2.154.0::gentoo] 0 KiB
[uninstall ] perl-core/Data-Dumper-2.154.0::gentoo
[blocks b ] <perl-core/Data-Dumper-2.158.0 ("<perl-core/Data-Dumper-2.158.0" is blocking virtual/perl-Data-Dumper-2.158.0-r1)
[ebuild rR ] dev-perl/Module-Build-0.420.500::gentoo USE="{-test}" 302 KiB
[ebuild U ] dev-perl/Error-0.170.240::gentoo [0.170.210::gentoo] USE="{-test}" 31 KiB
[ebuild U ] dev-lang/python-exec-2.4.4:2::gentoo [2.0.1-r1:2::gentoo] PYTHON_TARGETS="(python2_7) (python3_4) (python3_5%*) (python3_6%*) (-jython2_7) (-pypy) (-pypy3) (-jython2_5%) (-python3_3%*)" 85 KiB
[ebuild U ] sys-apps/man-pages-4.08::gentoo [4.00::gentoo] USE="nls" L10N="-da% -de% -fr% -it% -ja% -nl% -pl% -ro% -ru% -zh-CN%" LINGUAS="(-da%) (-de%) (-fr%) (-it%) (-ja%) (-nl%) (-pl%) (-ro%) (-ru%) (-zh_CN%)" 1,460 KiB
[ebuild U ] sys-libs/readline-6.3_p8-r3::gentoo [6.3_p8-r2::gentoo] USE="-static-libs -utils" 2,422 KiB
[ebuild U ] net-misc/rsync-3.1.2::gentoo [3.1.1::gentoo] USE="acl iconv ipv6 xattr* -static -stunnel%" 872 KiB
[ebuild U ] sys-process/procps-3.3.12:0/5::gentoo [3.3.9-r2:0/0::gentoo] USE="kill%* ncurses nls unicode -modern-top% (-selinux) -static-libs -systemd {-test}" 826 KiB
[ebuild U ] sys-apps/kbd-2.0.3::gentoo [1.15.5-r1::gentoo] USE="nls pam {-test%}" 1,013 KiB
[ebuild U ] media-libs/freetype-2.6.3-r1:2::gentoo [2.5.5:2::gentoo] USE="adobe-cff bindist bzip2 png -X -debug -doc -fontforge -harfbuzz (-infinality) -static-libs -utils (-auto-hinter%)" 1,712 KiB
[ebuild U ] dev-util/gtk-doc-am-1.25-r1::gentoo [1.24::gentoo] 658 KiB
[ebuild U ] dev-libs/icu-58.1-r1:0/58.1::gentoo [55.1:0/55::gentoo] USE="-debug -doc -examples -static-libs" 22,819 KiB
[ebuild U ] net-misc/curl-7.52.1-r1::gentoo [7.43.0::gentoo] USE="ipv6 ssl -adns -http2 -idn -kerberos -ldap -metalink -rtmp -samba -ssh -static-libs {-test} -threads" CURL_SSL="openssl -axtls -gnutls (-libressl) -mbedtls% -nss -polarssl (-winssl)" 2,540 KiB
[ebuild U ] app-misc/pax-utils-1.1.7::gentoo [1.0.3::gentoo] USE="seccomp%* -caps -debug% -python" 634 KiB
[ebuild U ] sys-apps/kmod-23::gentoo [20::gentoo] USE="tools zlib -debug -doc -lzma -python -static-libs" PYTHON_TARGETS="python2_7 python3_4 (-python3_5) (-python3_3%)" 440 KiB
[ebuild U ] dev-db/mysql-init-scripts-2.1-r1::gentoo [2.0-r1::gentoo] 0 KiB
[ebuild N ] dev-libs/libuv-1.10.2:0/1::gentoo USE="-static-libs" 1,050 KiB
[ebuild U ] media-libs/libvorbis-1.3.5::gentoo [1.3.4::gentoo] USE="-static-libs" 1,166 KiB
[ebuild U ] net-misc/openvpn-2.3.12::gentoo [2.3.6::gentoo] USE="lzo pam plugins ssl -down-root -examples -iproute2 (-libressl) -pkcs11 (-polarssl) (-selinux) -socks% -static -systemd (-passwordsave%*)" 1,207 KiB
[ebuild U ] net-misc/openssh-7.3_p1-r7::gentoo [6.9_p1-r2::gentoo] USE="bindist hpn pam pie ssl -X -X509 -debug -kerberos -ldap -ldns -libedit (-libressl) -livecd% -sctp (-selinux) -skey -ssh1 -static {-test%}" 1,517 KiB
[ebuild U ] dev-libs/libpcre-8.39:3::gentoo [8.36:3::gentoo] USE="bzip2 cxx jit readline recursion-limit (unicode) zlib -libedit -pcre16 -pcre32 -static-libs" 1,525 KiB
[ebuild U ] dev-libs/libxml2-2.9.4-r1:2::gentoo [2.9.2-r1:2::gentoo] USE="ipv6 readline -debug -examples -icu -lzma -python -static-libs {-test}" PYTHON_TARGETS="python2_7 python3_4 (-python3_5) (-python3_3%)" 5,249 KiB
[ebuild U ] dev-db/sqlite-3.13.0:3::gentoo [3.8.10.2:3::gentoo] USE="readline -debug -doc -icu -secure-delete -static-libs -tcl {-test} -tools" 2,403 KiB
[ebuild U ] net-mail/dovecot-2.2.27::gentoo [2.2.16-r1::gentoo] USE="bzip2 ipv6 maildir pam ssl tcpd zlib -caps -cydir -doc -imapc -kerberos -ldap (-libressl) -lucene -lz4 -lzma -managesieve -mbox -mdbox -mysql -pop3c -postgres -sdbox (-selinux) -sieve -solr -sqlite -static-libs -suid -textcat% -vpopmail" 5,659 KiB
[ebuild U ] sys-apps/sandbox-2.10-r1::gentoo [2.6-r1::gentoo] USE="(-multilib)" 408 KiB
[ebuild U ] sys-apps/less-487::gentoo [478::gentoo] USE="pcre unicode" 312 KiB
[ebuild U ] sys-devel/gettext-0.19.7::gentoo [0.19.4::gentoo] USE="acl cxx ncurses nls openmp -cvs -doc -emacs -git (-java) -static-libs" 18,785 KiB
[ebuild U ] mail-mta/postfix-3.1.2-r2::gentoo [3.0.1-r1::gentoo] USE="berkdb dovecot-sasl eai pam ssl -cdb -doc -hardened -ldap -ldap-bind (-libressl) -lmdb -mbox -memcached -mysql -nis -postgres -sasl (-selinux) -sqlite (-vda%)" 4,236 KiB
[ebuild U ] dev-lang/swig-3.0.8::gentoo [3.0.5::gentoo] USE="pcre -ccache -doc" 7,752 KiB
[ebuild U ] app-text/qpdf-5.1.1-r1:0/13::gentoo [5.1.1:0/13::gentoo] USE="-doc -examples -perl% -static-libs {-test}" 7,484 KiB
[ebuild U ] net-ftp/proftpd-1.3.5b::gentoo [1.3.5a::gentoo] USE="acl caps ipv6 ncurses nls pam pcre ssl tcpd -authfile -ban -case -clamav -copy -ctrls -deflate -diskuse -doc -dso -dynmasq -exec -ident -ifsession -ifversion -kerberos -ldap (-libressl) -log_forensic -memcache -msg -mysql -postgres -qos -radius -ratio -readme -rewrite (-selinux) -sftp -shaper -sitemisc -snmp -softquota -sqlite {-test} -trace -unique_id -vroot -xinetd (-openssl%*)" LINGUAS="-bg_BG -en_US -fr_FR -it_IT -ja_JP -ko_KR -ru_RU -zh_CN -zh_TW" 29,290 KiB
[ebuild U ] sys-apps/sed-4.2.2::gentoo [4.2.1-r1::gentoo] USE="acl nls (-selinux) -static" 1,035 KiB
[ebuild U ] sys-devel/make-4.2.1::gentoo [4.1-r1::gentoo] USE="nls -guile -static" 1,375 KiB
[ebuild U ] sys-apps/util-linux-2.28.2::gentoo [2.25.2-r2::gentoo] USE="cramfs ncurses nls pam readline%* suid unicode -build% -caps -fdformat -kill% -python (-selinux) -slang -static-libs -systemd {-test} -tty-helpers -udev" PYTHON_SINGLE_TARGET="python2_7 -python3_4 (-python3_5) (-python3_3%)" PYTHON_TARGETS="python2_7 python3_4 (-python3_5) (-python3_3%)" 4,053 KiB
[ebuild U ] sys-libs/e2fsprogs-libs-1.43.3::gentoo [1.42.13::gentoo] USE="nls -static-libs" 586 KiB
[ebuild U ] app-arch/tar-1.29-r1::gentoo [1.27.1-r2::gentoo] USE="acl nls xattr* -minimal (-selinux) -static" 2,653 KiB
[ebuild U ] sys-apps/gawk-4.1.3::gentoo [4.0.2::gentoo] USE="nls readline -mpfr%" 2,258 KiB
[ebuild U ] sys-process/psmisc-22.21-r3::gentoo [22.21-r2::gentoo] USE="ipv6 nls -X (-selinux)" 447 KiB
[ebuild U ] app-editors/nano-2.6.3::gentoo [2.3.6::gentoo] USE="magic ncurses nls spell unicode -debug -justify -minimal -slang -static%" 1,973 KiB
[ebuild U ] sys-apps/shadow-4.2.1-r2::gentoo [4.1.5.1-r1::gentoo] USE="acl cracklib nls pam xattr* -audit (-selinux) -skey" LINGUAS="-cs% -da% -de% -es% -fi% -fr% -hu% -id% -it% -ja% -ko% -pl% -pt_BR% -ru% -sv% -tr% -zh_CN% -zh_TW%" 1,558 KiB
[ebuild U ] sys-apps/findutils-4.6.0-r1::gentoo [4.4.2-r1::gentoo] USE="nls (-selinux) -static {-test%}" 3,692 KiB
[ebuild U ] sys-apps/grep-2.25::gentoo [2.21-r1::gentoo] USE="nls pcre -static" 1,297 KiB
[ebuild U ] net-misc/wget-1.18::gentoo [1.16::gentoo] USE="ipv6 nls pcre ssl zlib -debug -gnutls -idn (-libressl) -ntlm -static {-test} -uuid" 1,878 KiB
[ebuild U ] sys-devel/flex-2.6.1::gentoo [2.5.39-r1::gentoo] USE="nls -static {-test}" 816 KiB
[ebuild U ] dev-libs/libgpg-error-1.24::gentoo [1.13::gentoo] USE="nls -common-lisp -static-libs" 766 KiB
[ebuild U ] sys-apps/texinfo-6.1::gentoo [5.2::gentoo] USE="nls -static" 4,415 KiB
[ebuild U ] dev-util/intltool-0.51.0-r1::gentoo [0.50.2-r1::gentoo] 159 KiB
[ebuild rR ] dev-perl/Locale-gettext-1.50.0-r1::gentoo 8 KiB
[ebuild U ] net-dns/libidn-1.33::gentoo [1.30::gentoo] USE="nls -doc -emacs (-java) -mono -static-libs" 3,419 KiB
[ebuild U ] media-libs/flac-1.3.2-r1::gentoo [1.3.1-r1::gentoo] USE="cxx -altivec -debug -ogg -static-libs (-sse%)" 758 KiB
[ebuild U ] sys-apps/mlocate-0.26-r2::gentoo [0.26-r1::gentoo] USE="nls (-selinux)" 351 KiB
[ebuild U ] app-portage/eix-0.31.7-r1::gentoo [0.30.4::gentoo] USE="dep nls required-use%* -debug -doc -optimization -security -sqlite -strong-optimization -strong-security -swap-remote -tools" LINGUAS="-de -ru" 570 KiB
[ebuild U ] dev-util/dialog-1.3.20160828::gentoo [1.2.20150528::gentoo] USE="nls unicode -examples -minimal -static-libs" 491 KiB
[ebuild U ] sys-fs/e2fsprogs-1.43.3-r1::gentoo [1.42.13::gentoo] USE="nls -fuse% -static-libs" 7,234 KiB
[ebuild U ] sys-devel/bison-3.0.4-r1::gentoo [2.4.3::gentoo] USE="nls -examples% -static {-test%}" 1,928 KiB
[ebuild U ] app-admin/eselect-1.4.5::gentoo [1.4.4::gentoo] USE="-doc -emacs -vim-syntax" 172 KiB
[blocks b ] <app-admin/eselect-1.4.5 ("<app-admin/eselect-1.4.5" is blocking sys-devel/binutils-config-5-r2)
[ebuild U ] net-nds/openldap-2.4.44::gentoo [2.4.38-r2::gentoo] USE="berkdb crypt ipv6 ssl syslog tcpd -cxx -debug -experimental -gnutls -icu -iodbc -kerberos -kinit% (-libressl) -minimal -odbc -overlays -perl -samba -sasl (-selinux) -slp -smbkrb5passwd -static-libs%" 5,539 KiB
[ebuild U ] dev-libs/libassuan-2.4.3::gentoo [2.1.1::gentoo] USE="-static-libs" 547 KiB
[ebuild U ] sys-process/cronie-1.5.0-r1::gentoo [1.5.0::gentoo] USE="inotify pam -anacron (-selinux)" 237 KiB
[ebuild U ] dev-libs/libksba-1.3.5::gentoo [1.3.3::gentoo] USE="-static-libs" 607 KiB
[ebuild U ] dev-scheme/guile-1.8.8-r3:12/8::gentoo [1.8.8-r1:12/12::gentoo] USE="deprecated nls readline%* regex threads -debug -debug-freelist -debug-malloc -discouraged -emacs -networking" 3,864 KiB
[ebuild U ] media-video/ffmpeg-2.8.10:0/54.56.56::gentoo [2.6.3:0/54.56.56::gentoo] USE="bzip2 encode gpl hardcoded-tables iconv network postproc threads zlib -X -aac -aacplus -alsa -altivec -amr -amrenc (-armv5te) (-armv6) (-armv6t2) (-armvfp) -bluray -bs2b -cdio -celt -cpudetection -debug -doc -examples -faac -fdk -flite -fontconfig -frei0r -fribidi -gme -gnutls -gsm -iec61883 -ieee1394 -jack -jpeg2k -ladspa -libass -libcaca (-libressl) -librtmp% -libsoxr -libv4l -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) -modplug -mp3 (-neon) -openal -opengl -openssl -opus -oss -pic -pulseaudio -quvi -samba (-schroedinger) -sdl -snappy% -speex -ssh -static-libs {-test} -theora -truetype -twolame -v4l (-vaapi) (-vdpau) -vorbis -vpx -wavpack -webp -x264 (-x265) -xcb -xvid -zvbi (-rtmp%)" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex%* trasher" 8,385 KiB
[ebuild U ] net-dns/dnsmasq-2.76::gentoo [2.72-r2::gentoo] USE="dhcp inotify%* ipv6 nls -auth-dns -conntrack -dbus -dhcp-tools -dnssec -idn -lua -script (-selinux) -static -tftp" LINGUAS="-de -es -fi -fr -id -it -no -pl -pt_BR -ro" 470 KiB
[ebuild U ] app-misc/screen-4.4.0::gentoo [4.0.3-r6::gentoo] USE="pam -debug -multiuser -nethack (-selinux)" 827 KiB
[ebuild U ] sys-apps/iproute2-4.4.0::gentoo [3.19.0::gentoo] USE="berkdb iptables ipv6 -atm -minimal (-selinux)" 517 KiB
[ebuild U ] app-text/docbook-xsl-stylesheets-1.79.0::gentoo [1.78.0-r1::gentoo] USE="-ruby" 21,459 KiB
[ebuild U ] app-eselect/eselect-python-20160516::gentoo [20111108::gentoo] 46 KiB
[blocks b ] <app-eselect/eselect-python-20160206 ("<app-eselect/eselect-python-20160206" is blocking dev-lang/python-exec-2.4.4)
[ebuild U ] app-arch/libarchive-3.2.2:0/13::gentoo [3.1.2-r1:0/13::gentoo] USE="acl bzip2 e2fsprogs iconv lzma threads%* xattr* zlib -expat (-libressl) -lz4% -lzo -nettle -static-libs" 5,331 KiB
[ebuild NS ] sys-devel/automake-1.14.1:1.14::gentoo [1.11.6-r1:1.11::gentoo, 1.15:1.15::gentoo] 1,455 KiB
[ebuild U ] dev-libs/libnl-3.2.28:3::gentoo [3.2.25:3::gentoo] USE="-python -static-libs -utils" PYTHON_TARGETS="python2_7 python3_4 (-python3_5) (-python3_3%)" 927 KiB
[ebuild U ] sys-devel/autogen-5.18.4::gentoo [5.18.1::gentoo] USE="-libopts -static-libs" 995 KiB
[ebuild U ] app-admin/sudo-1.8.18_p1::gentoo [1.8.12::gentoo] USE="nls pam sendmail -ldap -offensive (-selinux) -skey" 2,756 KiB
[ebuild U ] sys-devel/binutils-2.25.1-r1:2.25.1::gentoo [2.24-r3:2.25.1::gentoo] USE="cxx nls zlib -multitarget -static-libs {-test} -vanilla (-multislot%)" 23,616 KiB
[ebuild U ] app-shells/bash-4.3_p48-r1::gentoo [4.3_p33-r2::gentoo] USE="net nls (readline) (-afs) -bashlogger -examples -mem-scramble -plugins (-vanilla%)" 8,008 KiB
[ebuild U ] dev-lang/python-2.7.12:2.7::gentoo [2.7.9-r1:2.7::gentoo] USE="gdbm ipv6 ncurses readline ssl (threads) (wide-unicode) xml (-berkdb) -build -doc -examples -hardened (-libressl) -sqlite -tk -wininst" 12,114 KiB
[blocks b ] <dev-lang/python-2.7.10-r4:2.7 ("<dev-lang/python-2.7.10-r4:2.7" is blocking dev-lang/python-exec-2.4.4)
[ebuild U ] dev-lang/python-3.4.5:3.4/3.4m::gentoo [3.4.1:3.4/3.4::gentoo] USE="gdbm ipv6 ncurses readline ssl (threads) xml -build -examples -hardened (-libressl) -sqlite -tk -wininst" 14,189 KiB
[blocks b ] <dev-lang/python-3.4.3-r4:3.4 ("<dev-lang/python-3.4.3-r4:3.4" is blocking dev-lang/python-exec-2.4.4)
[ebuild U ] dev-util/cmake-3.7.2::gentoo [3.2.2::gentoo] USE="ncurses -doc -emacs -qt5 -system-jsoncpp {-test} (-qt4%)" 7,190 KiB
[ebuild U ] dev-libs/libgcrypt-1.7.3:0/20::gentoo [1.5.4-r1:0/11::gentoo] USE="-doc% -static-libs" 2,795 KiB
[ebuild U ] app-admin/apache-tools-2.4.25::gentoo [2.2.29::gentoo] USE="ssl (-libressl)" 6,249 KiB
[ebuild U ] app-eselect/eselect-pinentry-0.6::gentoo [0.4::gentoo] 0 KiB
[ebuild U ] dev-libs/libtasn1-4.9-r1:0/6::gentoo [4.5:0/6::gentoo] USE="-doc -static-libs" 1,822 KiB
[ebuild U ] net-libs/libpcap-1.8.1::gentoo [1.7.4::gentoo] USE="-bluetooth -dbus -netlink -static-libs -usb% (-canusb%) (-ipv6%*)" 736 KiB
[ebuild NS ] app-text/docbook-xml-dtd-4.5-r1:4.5::gentoo [4.1.2-r6:4.1.2::gentoo, 4.2-r2:4.2::gentoo] 97 KiB
[ebuild U ] app-admin/logrotate-3.11.0::gentoo [3.8.9-r1::gentoo] USE="acl cron (-selinux)" 173 KiB
[ebuild U *] net-misc/minidlna-1.1.5-r1::gentoo [1.1.4::gentoo] USE="-netgear -readynas" 525 KiB
[ebuild NS ] sys-devel/gcc-4.9.4:4.9.4::gentoo [4.8.4:4.8.5::gentoo] USE="cxx fortran nls nptl openmp sanitize -altivec (-awt) (-cilk) -debug -doc (-fixed-point) -gcj -go -graphite (-hardened) (-libssp) (-multilib) -nopie -nossp -objc -objc++ -objc-gc -regression-test -vanilla (-vtv)" 88,027 KiB
[ebuild U ] app-misc/ca-certificates-20161102.3.27.2-r2::gentoo [20140927.3.17.2::gentoo] USE="-cacert* -insecure_certs%" 7,516 KiB
[ebuild U ] dev-libs/libxslt-1.1.29::gentoo [1.1.28-r4::gentoo] USE="crypt -debug -examples% -python -static-libs" PYTHON_TARGETS="python2_7" 3,349 KiB
[ebuild U ] dev-python/six-1.10.0::gentoo [1.8.0::gentoo] USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_3%)" 29 KiB
[ebuild U ] www-servers/apache-2.4.25:2::gentoo [2.2.29:2::gentoo] USE="ldap ssl -debug -doc (-libressl) (-selinux) -static -suexec -threads" APACHE2_MODULES="access_compat%* actions alias auth_basic authn_alias authn_anon authn_core%* authn_dbm authn_file authz_core%* authz_dbm authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir env expires ext_filter file_cache filter headers include info log_config logio mime mime_magic negotiation proxy proxy_fcgi%* proxy_http remoteip%* rewrite setenvif socache_shmcb%* speling status unique_id unixd%* userdir usertrack vhost_alias -asis -auth_digest -authn_dbd -authz_dbd% -cache_disk% -cache_socache% -cern_meta -charset_lite -dbd -dumpio -http2% -ident -imagemap -lbmethod_bybusyness% -lbmethod_byrequests% -lbmethod_bytraffic% -lbmethod_heartbeat% -log_forensic -macro% -proxy_ajp -proxy_balancer -proxy_connect -proxy_ftp -proxy_html% -proxy_scgi -proxy_wstunnel% -ratelimit% -reqtimeout -slotmem_shm% -substitute -version (-authn_default%*) (-authz_default%*) (-disk_cache%*) (-mem_cache%*)" APACHE2_MPMS="prefork -event -worker (-itk%) (-peruser%)" 24 KiB
[ebuild U ] sys-libs/tdb-1.3.8::gentoo [1.3.0-r1::gentoo] USE="python*" PYTHON_TARGETS="python2_7" 483 KiB
[ebuild N ] dev-python/enum34-1.0.4::gentoo USE="-doc" PYTHON_TARGETS="python2_7 (-pypy) (-pypy3)" 33 KiB
[ebuild U ] app-crypt/pinentry-0.9.7-r1::gentoo [0.9.0::gentoo] USE="ncurses -caps -emacs% -gnome-keyring% -gtk -qt4 -qt5% -static" 423 KiB
[ebuild U ] net-libs/gnutls-3.3.26::gentoo [3.3.15::gentoo] USE="crywrap cxx nls openssl zlib (-dane) -doc -examples -guile -pkcs11 -static-libs {-test}" LINGUAS="-cs -de -en -fi -fr -it -ms -nl -pl -sv -uk -vi -zh_CN" 6,212 KiB
[ebuild N ] media-libs/openjpeg-2.1.1_p20160922:2/7::gentoo USE="-doc -static-libs {-test}" 1,958 KiB
[ebuild N ] sys-libs/uid_wrapper-1.2.1::gentoo USE="{-test}" 305 KiB
[ebuild N ] sys-libs/nss_wrapper-1.1.3::gentoo USE="{-test}" 53 KiB
[ebuild N ] net-libs/socket_wrapper-1.1.6::gentoo USE="{-test}" 53 KiB
[ebuild U ] app-crypt/mit-krb5-1.14.2::gentoo [1.13.2::gentoo] USE="keyutils pkinit threads -doc (-libressl) -openldap (-selinux) {-test} -xinetd" 11,978 KiB
[ebuild N ] dev-python/mimeparse-0.1.4-r1::gentoo PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5)" 6 KiB
[ebuild U ] net-analyzer/tcpdump-4.8.1::gentoo [4.7.4::gentoo] USE="drop-root ssl (-libressl) -samba -smi -suid {-test} (-ipv6%*)" 1,130 KiB
[ebuild U ] sys-devel/distcc-3.2_rc1-r4::gentoo [3.1-r10::gentoo] USE="ipv6 -crossdev% -gnome% -gssapi% -gtk -hardened (-selinux) -xinetd -zeroconf% (-avahi%)" PYTHON_TARGETS="python2_7" 596 KiB
[ebuild U ] sys-libs/talloc-2.1.5::gentoo [2.1.0-r1::gentoo] USE="python -compat" PYTHON_TARGETS="python2_7" 426 KiB
[ebuild U ] app-eselect/eselect-php-0.9.2::gentoo [0.7.1-r4::gentoo] USE="apache2 -fpm" 48 KiB
[ebuild U ] app-crypt/gnupg-2.0.28::gentoo [2.0.26-r3::gentoo] USE="bzip2 nls readline -doc -ldap -mta (-selinux) -smartcard -static -tools -usb" 4,332 KiB
[ebuild U ] app-text/po4a-0.45-r3::gentoo [0.45-r1::gentoo] USE="{-test}" LINGUAS="-af% -ca% -cs% -da% -de% -eo% -es% -et% -eu% -fr% -hr% -id% -it% -ja% -kn% -ko% -nb% -nl% -pl% -pt% -pt_BR% -ru% -sl% -sv% -uk% -vi% -zh_CN% -zh_HK%" 2,158 KiB
[ebuild U ] sys-apps/man-db-2.7.6.1-r1::gentoo [2.6.6::gentoo] USE="berkdb gdbm manpager%* nls zlib (-selinux) -static-libs" 1,506 KiB
[ebuild U ] dev-lang/php-5.6.29:5.6::gentoo [5.6.10:5.6::gentoo] USE="acl%* apache2 berkdb bzip2 cgi cli crypt ctype exif fileinfo filter gd gdbm hash iconv imap intl ipv6 json mysql mysqli nls odbc opcache pdo phar posix readline session simplexml sockets sqlite ssl tokenizer unicode xml zlib -bcmath -calendar -cdb -cjk -coverage% -curl -debug -embed -enchant (-firebird) -flatfile -fpm -ftp -gmp -inifile -iodbc -kerberos -ldap -ldap-sasl -libedit -libmysqlclient (-libressl) -mhash -mssql (-oci8-instant-client) -pcntl -postgres -qdbm -recode (-selinux) -sharedmem -snmp -soap -spell -sybase-ct -systemd -sysvipc -threads -tidy -truetype -vpx -wddx -xmlreader -xmlrpc -xmlwriter -xpm -xslt -zip (-frontbase%)" 12,154 KiB
[ebuild U ] sys-libs/tevent-0.9.28::gentoo [0.9.21-r1::gentoo] USE="python*" PYTHON_TARGETS="python2_7" 568 KiB
[ebuild U ] dev-vcs/git-2.10.2::gentoo [2.3.6::gentoo] USE="blksha1 curl gpg iconv nls pcre perl python threads webdav -cgi -cvs -doc -emacs -gnome-keyring -gtk -highlight (-libressl) (-mediawiki) -mediawiki-experimental% -ppcsha1 -subversion {-test} -tk -xinetd" LINGUAS="-bg% -ca% -de% -fr% -is% -it% -ko% -pt_PT% -ru% -sv% -vi% -zh_CN%" PYTHON_TARGETS="python2_7" 4,397 KiB
[ebuild N ] sys-libs/ldb-1.1.26:0/1.1.26::gentoo USE="-doc" PYTHON_TARGETS="python2_7" 1,234 KiB
[ebuild U ] net-wireless/crda-3.18-r1::gentoo [1.1.3-r1::gentoo] USE="-gcrypt% (-libressl)" 61 KiB
[ebuild U ] app-admin/perl-cleaner-2.20::gentoo [2.19::gentoo] 7 KiB
[ebuild U ] app-portage/gentoolkit-0.3.2-r1::gentoo [0.3.0.9-r2::gentoo] PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-python3_5) (-python3_3%)" 3,124 KiB
[ebuild U ] app-admin/python-updater-0.14::gentoo [0.11::gentoo] 11 KiB
[ebuild U ] sys-apps/openrc-0.22.4::gentoo [0.17::gentoo] USE="ncurses netifrc pam unicode -audit -debug -newnet (-prefix) (-selinux) -static-libs -tools" 210 KiB
[ebuild U ] net-misc/netifrc-0.5.1::gentoo [0.2.2::gentoo] 77 KiB
[ebuild U ] dev-python/setuptools-30.4.0::gentoo [12.0.1::gentoo] USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_3%)" 641 KiB
[ebuild N ] dev-python/certifi-2016.9.26::gentoo PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5)" 366 KiB
[ebuild N ] dev-python/pbr-1.9.1::gentoo USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5)" 111 KiB
[ebuild U ] dev-python/pyasn1-0.1.8::gentoo [0.1.7::gentoo] USE="-doc" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_3%)" 74 KiB
[ebuild N ] dev-python/extras-0.0.3::gentoo USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5)" 7 KiB
[ebuild U ] dev-python/py-1.4.30::gentoo [1.4.25::gentoo] USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_3%)" 188 KiB
[ebuild U ] dev-python/chardet-2.3.0::gentoo [2.2.1::gentoo] PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_3%)" 161 KiB
[ebuild N ] dev-python/idna-2.0::gentoo PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5)" 132 KiB
[ebuild U ] dev-python/ply-3.9::gentoo [3.4-r1::gentoo] USE="-examples" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_3%)" 148 KiB
[ebuild N ] dev-python/ipaddress-1.0.14::gentoo PYTHON_TARGETS="python2_7 (-pypy) (-pypy3)" 30 KiB
[ebuild N ] dev-python/linecache2-1.0.0::gentoo USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5)" 11 KiB
[ebuild U ] dev-python/pycparser-2.14::gentoo [2.10::gentoo] USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_3%)" 219 KiB
[ebuild N ] virtual/python-ipaddress-1.0-r1::gentoo PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_6)" 0 KiB
[ebuild N ] dev-python/traceback2-1.4.0::gentoo PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5)" 16 KiB
[ebuild U ] dev-python/cffi-1.9.1:0/1.9.1::gentoo [0.9.2:0/0.9.2::gentoo] USE="-doc {-test%}" PYTHON_TARGETS="python2_7 python3_4 (-python3_5) (-python3_3%)" 398 KiB
[ebuild U ] dev-python/cryptography-1.7.1::gentoo [0.6.1::gentoo] USE="(-libressl) {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_3%)" 411 KiB
[ebuild N ] dev-python/unittest2-1.1.0::gentoo PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5)" 80 KiB
[ebuild U ] dev-python/pyopenssl-16.2.0::gentoo [0.14::gentoo] USE="-doc -examples {-test%}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_3%)" 164 KiB
[ebuild N ] dev-python/testtools-1.8.0::gentoo USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5)" 204 KiB
[ebuild U ] dev-python/ndg-httpsclient-0.4.0::gentoo [0.3.2::gentoo] PYTHON_TARGETS="python2_7 python3_4%* (-pypy) (-pypy3) (-python3_5)" 24 KiB
[ebuild N ] dev-python/subunit-1.2.0-r1::gentoo USE="-static-libs {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5)" 450 KiB
[ebuild U ] dev-python/requests-2.8.1::gentoo [2.6.0::gentoo] USE="{-test%}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) (-python3_5) (-python3_3%)" 470 KiB
[ebuild U ] dev-libs/glib-2.48.2:2::gentoo [2.42.2:2::gentoo] USE="mime xattr* -dbus -debug (-fam) (-selinux) -static-libs (-systemtap) {-test} -utils" PYTHON_TARGETS="python2_7" 8,145 KiB
[ebuild N ] dev-util/gdbus-codegen-2.48.2::gentoo PYTHON_TARGETS="python2_7 python3_4 (-python3_5)" 0 KiB
[ebuild N ] dev-util/desktop-file-utils-0.23::gentoo USE="-emacs" 129 KiB
[ebuild U ] app-admin/syslog-ng-3.7.3::gentoo [3.6.2::gentoo] USE="ipv6 tcpd -amqp -caps -dbi -geoip -json (-libressl) -mongodb -pacct -python% -redis -smtp -spoof-source -systemd (-ssl%*)" 3,429 KiB
[ebuild U ] dev-libs/gobject-introspection-1.48.0::gentoo [1.42.0-r1::gentoo] USE="-cairo (-doctool) {-test}" PYTHON_TARGETS="python2_7" 0 KiB
[blocks b ] <dev-libs/gobject-introspection-1.48.0 ("<dev-libs/gobject-introspection-1.48.0" is blocking dev-libs/gobject-introspection-common-1.48.0)
[ebuild U ] net-dns/avahi-0.6.32::gentoo [0.6.31-r6::gentoo] USE="gdbm introspection ipv6 nls -autoipd -bookmarks -dbus -doc -gtk -gtk3 -howl-compat -mdnsresponder-compat -mono -python -qt4 (-selinux) {-test} -utils" PYTHON_TARGETS="python2_7" 913 KiB
[ebuild U ] dev-php/PEAR-Net_Socket-1.0.14-r3::gentoo [1.0.14::gentoo] 6 KiB
[ebuild U ] dev-php/PEAR-XML_Util-1.3.0-r1::gentoo [1.2.3-r1::gentoo] USE="-examples%" 17 KiB
[ebuild U ] dev-php/PEAR-Archive_Tar-1.4.2-r2::gentoo [1.3.15::gentoo] 21 KiB
[ebuild U ] dev-php/PEAR-Structures_Graph-1.1.1-r1::gentoo [1.0.4::gentoo] 13 KiB
[ebuild U ] dev-php/PEAR-Net_SMTP-1.7.2-r3::gentoo [1.6.2::gentoo] USE="-examples% -sasl" 15 KiB
[ebuild U ] dev-php/PEAR-Net_Sieve-1.5.2-r1::gentoo [1.3.3::gentoo] USE="-sasl" 16 KiB
[ebuild U ] app-text/poppler-0.45.0:0/62::gentoo [0.32.0:0/51::gentoo] USE="cxx introspection jpeg jpeg2k* lcms png utils -cairo (-cairo-qt) -cjk -curl -debug -doc -nss% -qt4 -qt5 -tiff" 1,636 KiB
[ebuild U ] net-print/cups-2.1.4::gentoo [2.0.3::gentoo] USE="acl pam ssl threads -X -dbus -debug (-java) -kerberos -lprng-compat -python (-selinux) -static-libs -systemd -usb -xinetd -zeroconf" LINGUAS="ca cs de es fr it ja ru (-pt_BR%*)" PYTHON_TARGETS="python2_7" 9,349 KiB
[ebuild U ] net-print/cups-filters-1.5.0::gentoo [1.0.71::gentoo] USE="foomatic jpeg png -dbus -ldap% -perl -static-libs -tiff -zeroconf" 1,344 KiB
[ebuild U ] sys-fs/udev-225-r1::gentoo [216::gentoo] USE="acl kmod (-selinux) -static-libs (-doc%) (-firmware-loader%*) (-gudev%) (-introspection%)" 3,788 KiB
[ebuild U ] sys-apps/hwids-20150717-r1::gentoo [20150129::gentoo] USE="net pci udev usb" 1,705 KiB
[ebuild U ] sys-fs/dosfstools-4.0-r1::gentoo [3.0.26::gentoo] USE="udev%* -compat%" 154 KiB
[ebuild U ] net-misc/dhcpcd-6.11.3::gentoo [6.9.0::gentoo] USE="embedded ipv6 udev" 191 KiB
[ebuild U ] sys-apps/pciutils-3.4.1::gentoo [3.2.0::gentoo] USE="kmod udev%* zlib -dns% -static-libs" 395 KiB
[ebuild U ] dev-php/PEAR-Mail_Mime-1.9.0::gentoo [1.8.8::gentoo] 35 KiB
[ebuild N ] sys-libs/ntdb-1.0-r1::gentoo USE="python" PYTHON_TARGETS="python2_7" 776 KiB
[ebuild U ] net-fs/samba-4.2.11::gentoo [3.6.25::gentoo] USE="acl cups pam system-mitkrb5%* -addc% -addns -ads -aio* -avahi -client* -cluster -dmapi -fam -gnutls% -iprint% -ldap -quota (-selinux) -syslog -systemd% {-test%} -winbind* (-caps%) (-debug%) (-doc%) (-examples%) (-ldb%) (-netapi%*) (-readline%*) (-server%*) (-smbclient%*) (-smbsharemodes%) (-swat%)" PYTHON_TARGETS="python2_7%*" 20,392 KiB
[blocks b ] <net-fs/samba-4.1.7 ("<net-fs/samba-4.1.7" is blocking sys-libs/ntdb-1.0-r1)
[ebuild U ] dev-db/mariadb-10.0.28:0/18::gentoo [10.0.19:0/0::gentoo] USE="bindist openssl%* pam perl server%* -debug -embedded -extraengine (-jdbc) -jemalloc -latin1 (-libressl) -odbc -oqgraph -profiling (-selinux) -sphinx -static -static-libs -systemtap (-tcmalloc) {-test} (-tokudb) -xml -yassl% (-cluster%) (-community%*) (-minimal%) (-ssl%*)" 62,107 KiB
[ebuild N ] virtual/libmysqlclient-18:0/18::gentoo USE="-static-libs" 0 KiB
[ebuild U ] virtual/mysql-5.6-r6:0/18::gentoo [5.6-r2:0/18::gentoo] USE="-embedded -static -static-libs (-minimal%)" 0 KiB
[blocks b ] <virtual/mysql-5.6-r4 ("<virtual/mysql-5.6-r4" is blocking dev-db/mariadb-10.0.28)
[ebuild U ] dev-perl/DBD-mysql-4.41.0::gentoo [4.20.0-r1::gentoo] USE="ssl%* -embedded {-test%}" 147 KiB

Total: 274 packages (226 upgrades, 33 new, 3 in new slots, 12 reinstalls, 2 uninstalls), Size of downloads: 665,935 KiB
Conflict: 10 blocks

The following USE changes are necessary to proceed:
(see "package.use" in the portage(5) man page for more details)
# required by net-fs/samba-4.2.11::gentoo
# required by @selected
# required by @world (argument)
>=sys-libs/ntdb-1.0-r1 python
# required by sys-libs/ldb-1.1.26::gentoo
# required by net-fs/samba-4.2.11::gentoo
# required by @selected
# required by @world (argument)
>=sys-libs/tevent-0.9.28 python
# required by sys-libs/ldb-1.1.26::gentoo
# required by net-fs/samba-4.2.11::gentoo
# required by @selected
# required by @world (argument)
>=sys-libs/tdb-1.3.8 python

* IMPORTANT: 9 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.

b2 home #
Sorry for the long list, I as unable to add any attachments to this post.

Thanks for your help.

Andy

sakaki
Posts: 141
Joined: 15 Aug 2014, 11:20

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by sakaki » 08 Feb 2017, 15:27

Hi Andy,

that's actually pretty encouraging. The output indicates that the upgrade will go though OK, but Gentoo needs you to specify some additional package options ("USE flags" in Gentoo-ese) in order to proceed. Boot up your B2 with the live-USB, log in via ssh, and enter:

Code: Select all

b2 home # nano -w /etc/portage/package.use/samba
then place in that file the text:

Code: Select all

# requirements of net-fs/samba
sys-libs/ntdb python
sys-libs/tevent python
sys-libs/tdb python
Save and exit nano. You could now run the emerge immediately, but let's do a few things first. Issue:

Code: Select all

b2 home # nano -w /etc/portage/make.conf
and add the following line at the very end of the file:

Code: Select all

FEATURES="${FEATURES} buildpkg"
What this will do is have Gentoo create a binary package (in /usr/portage/packages) for everything you subsequently build and install successfully. This takes only a little extra disk space and hardly any additional time, and creates a very useful archive that you can use to e.g. roll back future upgrades quickly should things go wrong, without having to recompile old versions again. (You can also make these binary package files publicly available as a convenience to others, to help them update their B2 quickly - the files do not 'leak' any private info about your B2. if you are interested in helping out others by doing this, please PM me once you have successfully updated your B2.)

OK, next, start a "screen" session. This will allow you to disconnect from ssh while the upgrade is running (without killing it), and to reconnect in later to check on progress, which will be useful since the build is going to take a few days, probably. Try this now; issue:

Code: Select all

b2 home # screen
You are now inside a virtual terminal session; you can enter commands as usual here; for example, try:

Code: Select all

b2 home # ping www.google.com
You can detach from your screen session, leaving any commands you started still running. Try this now - with the ping running, press <ctrl-a><d> (i.e., press the a key while holding down ctrl, then release both keys, then press and release the d key). Once detached, you will be back in your "outer" ssh session again. The ping is still running in the background. Log out of your ssh session. Then (without rebooting your B2) ssh back in again, and enter

Code: Select all

b2 home # screen -D -R
You should be back with the ping command, still running! Kill it now with <ctrl-c>, but don't detach the screen session yet.

Now we can start the emerge. Because it can mess things up to change your compiler (gcc) part-way through an update, we'll tell Gentoo to omit that package. We'll also run things with a lowered priority, so your B2 doesn't completely gum up on you. Issue:

Code: Select all

b2 home # nice emerge --deep --with-bdeps=y --changed-use --update --ask --verbose --exclude="sys-devel/gcc" @world
It should think about this for a while, and then print the long list of packages that would be updated, and ask

Code: Select all

Would you like to merge these packages? [Yes/No]
Type y and press enter. The build should then start. Watch to see that nothing errors out immediately. You can then continue to watch the build if you like, or detach the screen session (<ctrl-a><d>) and close your ssh connection, just as you did with "ping" above. You can check in on the build at any time; just ssh in, then "screen -D -R" to re-attach.

hth and good luck ^-^

sakaki

PS once your update is finally completed, there are a few final steps that you should take to e.g. deal with any conflicting config file changes. I'll lead you though what needs doing once (hopefully!) the main update process has finished, if you post back here when done.

andy_b2_user
Posts: 18
Joined: 22 Jun 2015, 16:32

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by andy_b2_user » 10 Feb 2017, 15:02

Hi Sakaki.

It appears that we may have to upgrade GCC as the emerge failed, the build log is enclosed below.
root@andy-Aspire-4820T:~/Documents/bubba gentoo# cat build.log
* Package: dev-libs/icu-58.1-r1
* Repository: gentoo
* Maintainer: office@gentoo.org
* USE: abi_ppc_32 elibc_glibc kernel_linux ppc userland_GNU
* FEATURES: preserve-libs sandbox userpriv usersandbox
* ERROR: dev-libs/icu-58.1-r1::gentoo failed (pretend phase):
* You need at least sys-devel/gcc-4.8.3
*
* Call stack:
* ebuild.sh, line 115: Called pkg_pretend
* icu-58.1-r1.ebuild, line 42: Called die
* The specific snippet of code:
* die "You need at least sys-devel/gcc-4.8.3"
*
* If you need support, post the output of `emerge --info '=dev-libs/icu-58.1-r1::gentoo'`,
* the complete build log and the output of `emerge -pqv '=dev-libs/icu-58.1-r1::gentoo'`.
* The complete build log is located at '/var/tmp/portage/dev-libs/icu-58.1-r1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/dev-libs/icu-58.1-r1/temp/die.env'.
* Working directory: '/var/tmp/portage/dev-libs/icu-58.1-r1/homedir'
* S: '/var/tmp/portage/dev-libs/icu-58.1-r1/work/icu/source'
I have no problem in allowing the final result to be available for other users, as this seems to be the last option available to update the software.

Thanks Andy

sakaki
Posts: 141
Joined: 15 Aug 2014, 11:20

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by sakaki » 10 Feb 2017, 16:11

Hi Andy,

What version of gcc do you currently have installed? If you do

Code: Select all

b2 home # gcc-config -l
(that's an ell, not a one) what does it show? What about

Code: Select all

b2 home # gcc --version
Your earlier --pretend emerge output showed
[ebuild NS ] sys-devel/gcc-4.9.4:4.9.4::gentoo [4.8.4:4.8.5::gentoo] USE="cxx fortran nls nptl openmp sanitize -altivec (-awt) (-cilk) -debug -doc (-fixed-point) -gcj -go -graphite (-hardened) (-libssp) (-multilib) -nopie -nossp -objc -objc++ -objc-gc -regression-test -vanilla (-vtv)" 88,027 KiB
which suggests you may already have 4.8.5 installed (which is > the 4.8.3 you need), but possibly just not set as your active compiler.

Best, sakaki

andy_b2_user
Posts: 18
Joined: 22 Jun 2015, 16:32

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by andy_b2_user » 11 Feb 2017, 12:34

Hi Sakaki.

The output of the commands is shown below:-
b2 ~ # gcc-config -l
[1] powerpc-e300c3-linux-gnu-4.8.4 *
b2 ~ # gcc --version
gcc (Gentoo 4.8.4 p1.6, pie-0.6.1) 4.8.4
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
And it would appear that this is the correct version, but a directory listing of /usr/portage/sys-devel/gcc gives:-
gcc-3.3.6-r1.ebuild
gcc-3.4.6-r2.ebuild
gcc-4.0.4.ebuild
gcc-4.1.2.ebuild
gcc-4.2.4-r1.ebuild
gcc-4.3.6-r1.ebuild
gcc-4.4.7.ebuild
gcc-4.5.4.ebuild
gcc-4.6.4.ebuild
gcc-4.7.4.ebuild
Version 4.8.4 missing from the listing
gcc-4.8.5.ebuild
gcc-4.9.3.ebuild
gcc-4.9.4.ebuild
gcc-5.1.0.ebuild
gcc-5.2.0.ebuild
gcc-5.3.0.ebuild
gcc-5.4.0-r3.ebuild
gcc-5.4.0.ebuild
gcc-6.3.0.ebuild
metadata.xml
Which, at a guess could be why the system failed.
I do have access to a ubuntu PC, if it could be used to cross compile.

Thanks Andy

sakaki
Posts: 141
Joined: 15 Aug 2014, 11:20

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by sakaki » 11 Feb 2017, 18:16

Hi Andy,

OK then, first upgrade gcc:

Code: Select all

b2 home # nice emerge --update --verbose sys-devel/gcc
When done, issue (see this link):

Code: Select all

b2 home # gcc-config powerpc-e300c3-linux-gnu-4.9.4
b2 home # env-update && source /etc/profile
b2 home # emerge --oneshot sys-devel/libtool
If that goes ok, retry:

Code: Select all

b2 home # nice emerge --deep --with-bdeps=y --changed-use --update --ask --verbose --exclude="sys-devel/gcc" @world
Best, sakaki

andy_b2_user
Posts: 18
Joined: 22 Jun 2015, 16:32

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by andy_b2_user » 16 Feb 2017, 09:13

The End.

Unfortunately I no longer have a working B2 to update. The hard disc has failed totally and I am unable to boot into a clean Gentoo Live-USB stick, which I have used in the past.

Thanks for all your Help, I will miss having my B2 as the family Nas Drive.

Regards

Andy

sakaki
Posts: 141
Joined: 15 Aug 2014, 11:20

Re: Gentoo live-USB for Bubba|2 updated (rev 1 boards supported)

Post by sakaki » 16 Feb 2017, 11:21

Andy - sorry to hear that. If you are unable to boot even with a fresh 1.3.0 gentoo-on-b2 live-USB, it is possible that something has gone wrong with the mainboard (since the image will boot regardless of whether or not the internal HDD is detected correctly). What LED flash pattern do you see when attempting to boot from the USB?
Best, sakaki

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests